Purchase a shipment
curl --request POST \
--url https://api.ship.uniuni.com/prod/client/shipments/{orderNumber}/purchase \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ship.uniuni.com/prod/client/shipments/{orderNumber}/purchase"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ship.uniuni.com/prod/client/shipments/{orderNumber}/purchase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Shipment purchased successfully",
"code": 0,
"data": {
"trackingId": "UR07240000000004901",
"orderNumber": "UNI029834CA7",
"insuranceCreated": false
}
}Envíos
Comprar un envío
Purchases a shipment and deducts the cost from your wallet balance. The shipment status changes from DRAFT to PENDING.
POST
/
client
/
shipments
/
{orderNumber}
/
purchase
Purchase a shipment
Autorizaciones
API access token generated from the UniUni Platform dashboard.
Parámetros de ruta
The unique order number (e.g. UNI031455E90).
¿Esta página le ayudó?
⌘I